Main Page Class Hierarchy Compound List File List Compound Members File Members

# MISC_RW_PARMS Struct Reference

`#include <kwhdrs_ew.h>`

List of all members.

## Public Attributes
unsigned short | serialNumber
unsigned short | nchannels
char | stnID [STN_ID_LENGTH]
char | comment [COMMENT_LENGTH]
short | elevation
float | latitude
float | longitude
short | userCodes [4]
unsigned char | cutlerCode
unsigned char | minBatteryVoltage
unsigned char | cutler_decimation
unsigned char | cutler_irig_type
unsigned long | cutler_bitmap
unsigned long | channel_bitmap
unsigned char | cutler_protocol
char | siteID [17]
unsigned char | externalTrigger
unsigned char | networkFlag

## Member Data Documentation

unsigned long MISC_RW_PARMS::channel_bitmap

| Definition at line 678 of file kwhdrs_ew.h. Referenced by read_head().

char MISC_RW_PARMS::comment[COMMENT_LENGTH]

| Definition at line 655 of file kwhdrs_ew.h. Referenced by k2evt2ew(), and read_head().

unsigned long MISC_RW_PARMS::cutler_bitmap

| Definition at line 677 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char MISC_RW_PARMS::cutler_decimation

| Definition at line 673 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char MISC_RW_PARMS::cutler_irig_type

| Definition at line 676 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char MISC_RW_PARMS::cutler_protocol

| Definition at line 679 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char MISC_RW_PARMS::cutlerCode

| Definition at line 662 of file kwhdrs_ew.h. Referenced by read_head().

short MISC_RW_PARMS::elevation

| Definition at line 656 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char MISC_RW_PARMS::externalTrigger

| Definition at line 684 of file kwhdrs_ew.h. Referenced by read_head().

float MISC_RW_PARMS::latitude

| Definition at line 657 of file kwhdrs_ew.h. Referenced by read_head().

float MISC_RW_PARMS::longitude

| Definition at line 658 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char MISC_RW_PARMS::minBatteryVoltage

| Definition at line 670 of file kwhdrs_ew.h. Referenced by read_head().

unsigned short MISC_RW_PARMS::nchannels

| Definition at line 651 of file kwhdrs_ew.h. Referenced by k2evt2ew(), and read_head().

unsigned char MISC_RW_PARMS::networkFlag

| Definition at line 685 of file kwhdrs_ew.h. Referenced by read_head().

unsigned short MISC_RW_PARMS::serialNumber

| Definition at line 650 of file kwhdrs_ew.h. Referenced by k2evt2ew(), and read_head().

char MISC_RW_PARMS::siteID[17]

| Definition at line 681 of file kwhdrs_ew.h. Referenced by read_head().

char MISC_RW_PARMS::stnID[STN_ID_LENGTH]

| Definition at line 653 of file kwhdrs_ew.h. Referenced by k2evt2ew(), and read_head().

short MISC_RW_PARMS::userCodes[4]

| Definition at line 659 of file kwhdrs_ew.h. Referenced by read_head().

The documentation for this struct was generated from the following file:

- kwhdrs_ew.h